#Dynamic Frequency scaling disable

# Select frequency based on module
case $1 in
	colibri-imx6) FREQ=996000 ;;
	colibri-imx6-it) FREQ=792000 ;;
	colibri-imx6ull) FREQ=792000 ;;
	colibri-t20) FREQ=996000 ;;
	colibri-t20-it) FREQ=996000 ;;
	colibri-t30) FREQ=1400000 ;;
	colibri-t30-it) FREQ=1400000 ;;
	colibri-vf) exit ;;
	colibri-vf-it) exit ;;
	colibri-imx7s) FREQ=792000 ;;
	colibri-imx7dl) FREQ=996000 ;;
	colibri-imx8) FREQ=1200000 ;;
	apalis-t30) FREQ=1400000 ;;
	apalis-imx6) FREQ=996000 ;;
	apalis-imx6-it) FREQ=792000 ;;
	apalis-tk1) FREQ=2070000 ;;
	apalis-imx8) FREQ=1600000 ;;
	*) 	echo "Please set a valid CoM, e.g. ./dvfs_setup.sh colibri-imx6-it"
		echo -e "Valid options: colibri-imx6, colibri-imx6-it, colibri-t20"
		echo -e "colibri-t20-it, colibri-t30, colibri-t30-it, colibri-vf"
		echo -e "colibri-vf-it, colibri-imx7s, colibri-imx7dl, colibri-imx6ull"
		echo -e "apalis-t30, apalis-imx6, apalis-imx6-it, apalis-tk1"
		echo -e "colibri-imx8, apalis-imx8"
		exit ;;
esac
echo "Module $1. Frequency set to $FREQ"

if [ -z "$HOME" ]
        then
        echo "Home directory not set, using /home/root"
        HOME=/home/root
fi

# Logfiles
LOGFILE=$HOME/cpufreq.log

# Disable dvfs and set maximum frequency
echo userspace > /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

echo $FREQ > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq
echo $FREQ > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq
echo $FREQ > /sys/devices/system/cpu/cpu0/cpufreq/scaling_setspeed
cpufreq-info > $LOGFILE

